FEXECVE(3)

NAME
fexecve - execute program specified via file descriptor

SYNOPSIS
#include <sys/time.h>

int fexecve(intfd, char *const argv
[], char *const envp[]);

DESCRIPTION
fexecve() performs the same task as execve(2), with the difference that the file to be executed is specified via a file descriptor, fd, rather than via a pathname.

RETURN VALUE
A successful call to fexecve() never returns. On error, the function returns, with a result value of -1 is returned, and errno is set appropriately.

ERRORS
Errors are as for execve(2), with the following additions:

EINVAL
    fd is not a valid file descriptor, or argv is NULL, or envp is NULL.

ENOSYS
    The /proc file system could not be accessed.

VERSIONS
fexecve() is implemented since glibc 2.3.2.

CONFORMING TO
This function is Linux specific.

SEE ALSO
execve(2)